summaryrefslogtreecommitdiffstats
path: root/ipa-server/ipa-kpasswd/ipa_kpasswd.init
diff options
context:
space:
mode:
authorRob Crittenden <rcritten@redhat.com>2008-01-18 16:20:36 -0500
committerRob Crittenden <rcritten@redhat.com>2008-01-18 16:20:36 -0500
commit042fb11fa107718a831d468d16188e02f6ae3712 (patch)
treee0e8ee6701800b8f03702cb338f8efa211b18046 /ipa-server/ipa-kpasswd/ipa_kpasswd.init
parentaaa3cfd58ca0c62325d7637b67c6711660624f5d (diff)
downloadfreeipa-042fb11fa107718a831d468d16188e02f6ae3712.tar.gz
freeipa-042fb11fa107718a831d468d16188e02f6ae3712.tar.xz
freeipa-042fb11fa107718a831d468d16188e02f6ae3712.zip
Fix issues reported by rpmlint.
- Removing shebangs (#!) from a bunch of python libraries - Don't use a variable name in init scripts for the lock file - Keep the init script name consistent with the binary name, so renamed ipa-kpasswd.init to ipa_kpasswd.init - Add status option to the init scripts - Move most python scripts out of /usr/share/ipa and into the python site-packages directories (ipaserver and ipaclient) - Remove unnecessary sys.path.append("/usr/share/ipa") - Fix the license string in the spec files - Rename ipa-webgui to ipa_webgui everywhere - Fix a couple of issues reported by pychecker in ipa-python
Diffstat (limited to 'ipa-server/ipa-kpasswd/ipa_kpasswd.init')
-rw-r--r--ipa-server/ipa-kpasswd/ipa_kpasswd.init83
1 files changed, 83 insertions, 0 deletions
diff --git a/ipa-server/ipa-kpasswd/ipa_kpasswd.init b/ipa-server/ipa-kpasswd/ipa_kpasswd.init
new file mode 100644
index 000000000..d7244bed6
--- /dev/null
+++ b/ipa-server/ipa-kpasswd/ipa_kpasswd.init
@@ -0,0 +1,83 @@
+#!/bin/sh
+#
+# ipa_kpasswd This starts and stops ipa_kpasswd
+#
+# chkconfig: - 36 64
+# description: ipa_kpasswd IPA Kpasswd daemon
+# processname: /usr/sbin/ipa_kpasswd
+# configdir: /etc/sysconfig/ipa-kpasswd
+#
+
+# Source function library.
+if [ -f /etc/rc.d/init.d/functions ] ; then
+. /etc/rc.d/init.d/functions
+fi
+# Source networking configuration.
+if [ -f /etc/sysconfig/network ] ; then
+. /etc/sysconfig/network
+fi
+
+# Check that networking is up.
+if [ "${NETWORKING}" = "no" ]
+then
+ echo "Networking is down"
+ exit 0
+fi
+
+# Source networking configuration.
+if [ -f /etc/sysconfig/ipa-kpasswd ] ; then
+. /etc/sysconfig/ipa-kpasswd
+fi
+
+NAME="ipa_kpasswd"
+PROG="/usr/sbin/ipa_kpasswd"
+
+start() {
+ echo -n $"Starting $NAME: "
+ daemon $NAME
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/ipa_kpasswd || \
+ RETVAL=1
+ return $RETVAL
+}
+
+stop() {
+ echo -n $"Shutting down $NAME: "
+ killproc $NAME
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ipa_kpasswd
+ return $RETVAL
+}
+
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ status $PROG
+ ;;
+ restart)
+ restart
+ ;;
+ condrestart)
+ [ -f /var/lock/subsys/ipa_kpasswd ] && restart || :
+ ;;
+ reload)
+ exit 3
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart}"
+ exit 2
+esac
+
+exit $?